ApiAnalysis Templates
List analysis templates
Get all analysis templates for your organization
Get all analysis templates for your organization
Authorization
BearerAuth AuthorizationBearer <token>
API key authentication. Get your key from the dashboard.
In: header
Query Parameters
limit?integer
Number of templates to return
Default
50Range
1 <= value <= 100offset?integer
Number of templates to skip
Default
0Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://example.com/analysis-templates"{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"org_id": "7461b868-afc1-4fe2-871a-5e7c0f3d5772",
"name": "Customer Satisfaction Survey",
"description": "Extract customer satisfaction metrics and feedback from support calls",
"system_prompt": "You are analyzing a customer service call. Extract key satisfaction indicators and feedback.",
"user_prompt": "Analyze this call transcript and extract: customer satisfaction level, main issues discussed, and whether the issue was resolved.\n\nTranscript: {transcript}",
"schema": {
"type": "object",
"properties": {
"satisfaction_level": {
"type": "string",
"description": "Overall customer satisfaction",
"enum": [
"very_satisfied",
"satisfied",
"neutral",
"dissatisfied",
"very_dissatisfied"
]
},
"main_issues": {
"type": "array",
"description": "List of issues discussed during the call"
},
"issue_resolved": {
"type": "boolean",
"description": "Whether the customer's issue was resolved"
}
}
},
"created_at": "2024-01-15T10:00:00Z",
"updated_at": "2024-01-15T10:00:00Z"
}
],
"total": 10,
"limit": 50,
"offset": 0
}{
"error": "Invalid API key",
"message": "string"
}